[Laravel] Upgrade laravel

mardi 23 janvier 2018

Pour le passage d’une version de laravel à une autre, il suffit généralement de suivre la documentation officiel ici

Dans mon cas, j’ai du mettre à jour laravel de la version 5.4 compatible php5.6 vers la version 5.5 qui supporte plus php5.6 mais php7.
Du coup, il faut bien évidement mettre à jour la version de votre php vers la version 7.

Voici mes étapes lors de ce passage:

Juste modifié le fichier composer.json:

  1. Mettre à jour le laravel/framework dependency to 5.5.*
  2. Mettre à jour phpunit/phpunit dependency to ~6.0
  3. Ajouter le filp/whoops package with version ~2.0 dans la section require-dev
  4. Rajouter le package:discover pour le post-autoload-dump evenement dans la section scripts:
"scripts": {
    ...
    "post-autoload-dump": [
        "Illuminate\\Foundation\\ComposerScripts::postAutoloadDump",
        "@php artisan package:discover"
    ],
}

Ensuite un composer update et le tour est joué.

composer update

Maintenant notre projet n’est plus comatible php 5.6 mais bien php 7.0

On peut aussi verifier la version avec la commande:

php artisan --version
Be Sociable, Share!

Tags: Laravel , PHP , upgrade